
할말다해 유니티 - Develop #66

할말다해(베타버전) 주제토크, 롤플레잉, 테마연습 

01/14/2022 02:08 PM - 승섭 심

Status: New Start date: 01/14/2022

Priority: Normal Due date:  

Assignee: 강혁 안 % Done: 90%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

1. 모든 유저 발언 끝나면(정해진 시간) 프리토킹 키워드 선택 후 프리토킹 시작(약 2분)

2. 프리토킹이 끝나면 웹에 함수 호출(평가 페이지 - 웹)

3. 방장이 다시 시작 할 때 까지 유저들 대기 화면 전환

History

#1 - 02/09/2022 06:08 PM - 강혁 안

- % Done changed from 0 to 90

프리토킹 기능 완료, UI 수정 완료 이후 피드백 받고 수정 예정

#2 - 02/09/2022 06:10 PM - 강혁 안

- Subject changed from 프리토킹 to 롤플레잉

- % Done changed from 90 to 80

롤플레잉 기능 완료, UI 작업중, 롤플레잉 피드백 받고 이후 수정 예정

#3 - 02/09/2022 06:11 PM - 강혁 안

- Subject changed from 롤플레잉 to 할말다해 프리토킹, 롤플레잉, 테마

- % Done changed from 80 to 0

#4 - 02/09/2022 06:11 PM - 강혁 안

- % Done changed from 0 to 60

#5 - 02/10/2022 06:25 PM - 강혁 안

2022-02-10

- 평가 데이터 웹 전송 수정

- 배경 이미지 DB조회 및 이미지 불러오기 완료

- 주제토크 유저 또는 방장이 나가면 방장 변경 및 UI 일부 변경

- 방 수정 페이지 UI, 방 수정 페이지 기능 작업 중

- 테마 작업 중

#6 - 02/11/2022 06:13 PM - 강혁 안

- % Done changed from 60 to 70

2022-02-11

- 방 수정  페이지 기능 작업 중(키워드 추가 작업 할 예정)

완료 : 기능(주제, 방 제목 ,대답 시간, 최대 인원 수),방 정보 데이터 웹 전달
#7 - 02/14/2022 06:07 PM - 강혁 안

2022-02-14

- 방 수정 페이지 기능 키워드 추가 완료

- 주제토크 다른 유저랑 같은 키워드 선택 시 에러 발생 하는 부분 해결

- 테마 질문 일정 시간 보이고 유저들이 순서대로 일정 시간 말하기 (질문은 현재 더미 사용 중)

- 유저 다른 사람 평가 웹 통신 부분 자기 평가와 동일하게 코드 수정

#8 - 02/15/2022 06:16 PM - 강혁 안

2022-02-15

- 주제토크 왼쪽 UI 유저 정보 중복 제거

- 유저 자기평가 UI 및 데이터 추가 웹 전송, 다른유저 평가 UI 및 데이터 추가

#9 - 02/16/2022 06:09 PM - 강혁 안

2022-02-16

- XR방(상담사 대 상담자 방) 추가

- XR방 Iframe 추가

- 테마방 피드백 시간 추가 작업중

#10 - 02/17/2022 06:06 PM - 강혁 안

2022-02-17

- 테마연습방 2명일때

ex) 질문1 > 유저 > 질문2 > 유저 > 질문1 > 유저2 > 질문2 > 유저2 방식으로 수정

- 롤플레잉 역할 데이터 json 수정 중

- 역할 정하는 페이지 다음, 뒤로 버튼들 활성화/비활성화 수정 중

#11 - 02/21/2022 06:03 PM - 강혁 안

- % Done changed from 70 to 80

2022-02-18 / 2022-02-21

작업 완료

- 롤플레잉 역할 확인 버튼 클릭 함수 일부 수정 완료

- 다른 사람 평가 버튼 2번 눌러야지 눌리는 현상 수정 완료

- 방수정 페이지 수정된 데이터 웹 통신 완료, 키워드 선택 안되게 수정 완료(추가만 가능)

작업 중

- 롤플레잉방 유저 2명일 때 유저 없는 역할 녹음된 파일 재생 작업 중(테스트만 진행)

- 롤플레잉 방, 테마 연습 방 시나리오 웹 통신 작업 중(현재 더미 데이터 사용 중)

작업 예정

- 방수정 페이지 주제 이미지 주제에 맞게 이미지 변경 작업 예정

- 수정 할 UI 받은 후 적용 예정

- 시나리오 최종본 받은 후 DB저장 예정
#12 - 02/22/2022 05:57 PM - 강혁 안

2022-02-22

작업 완료

- 방수정 페이지 주제 UI 주제에 맞게 UI 변경 완료

- 롤플레잉 방 시나리오 웹 통신 완료

작업 중

- 롤플레잉방 유저 2명일 때 유저 없는 역할 녹음된 파일 재생 작업 중(테스트만 진행)

- DB시나리오 추가 작업 중

작업 예정

- 수정 할 UI 받은 후 적용 예정

- 시나리오 최종본 받은 후 DB저장 예정

#13 - 02/23/2022 06:00 PM - 강혁 안

2022-02-23

작업 완료

- 수정 할 UI 받은 후 적용 완료

- 3초 대기 후 게임 시작 하는 UI 추가 완료

- 테마연습방 시나리오 DB에서 불러오기 완료

- 현재 받은 시나리오를 DB에 추가하는 작업 완료

작업 예정

- 시나리오 최종본 받은 후 DB 수정 및 저장 예정

#14 - 02/24/2022 06:00 PM - 강혁 안

2022-02-24

작업 중

- 롤플레잉 전체대사보기, 테마연습 tip보기 작업 중

- UI수정 중(피드백 받으면서 수정 중)

작업 예정

- 시나리오 최종본 받은 후 DB 수정 및 저장 예정

#15 - 02/25/2022 05:56 PM - 강혁 안

- Subject changed from 할말다해 프리토킹, 롤플레잉, 테마 to 할말다해(베타버전) 주제토크, 롤플레잉, 테마연습 

- % Done changed from 80 to 90

2022-02-25

작업 완료

- 주제토크방 프리토킹 다른 유저들 RPC 데이터 전송 안되는 현상 수정 완료

- 자기평가 UI 변경 완료
작업 중

- 녹음 작업 중(테스트만 진행)

작업 예정

- 시나리오 최종본 받은 후 DB 수정 및 저장 예정

- 피드백 받으면서 UI 수정

#16 - 02/28/2022 06:14 PM - 강혁 안

2022-02-28

- 테마연습 질문 넘기기 내 순서일 때 넘길 수 있게 수정

- 평가 결과 웹 통신을 방에 있는 사람들이 평가를 다하면 실행하게 수정

#17 - 03/02/2022 06:11 PM - 강혁 안

2022-03-02

다해미팅 내용

1. 롤플레잉 다른 사람 대사 안보이게 하고 녹음 파일 재생하게 하며 특정 캐릭터 나오게

2. 맵 선택 방식 변경 카테고리 리스트, 카테고리에 맞는 리스트 출력

3. 첫 감정 db에서 텍스트 불러와서 스크롤바를 이용해서 점수를 확인 누르면 웹 통신

4. 드래그시 캐릭터도 돌아가게

추후 계획

이모티콘 기능 추가

광고용

텍스트 박스 클릭시 텍스트 안보이게, 닉네임 변경 가능하게 ==================================================================================

작업 완료

- 텍스트 박스 클릭시 텍스트 안보이게, 닉네임 변경 가능하게 완료

- 첫 감정 db에서 텍스트 불러와서 스크롤바를 이용해서 점수를 확인 누르면 웹 통신

- 드래그시 캐릭터도 돌아가게

작업 예정

- 롤플레잉 다른 사람 대사 안보이게 하고 녹음 파일 재생하게 하며 특정 캐릭터 나오게

- 맵 선택 방식 변경 (카테고리 리스트, 카테고리에 맞는 리스트 출력)

#18 - 03/03/2022 05:53 PM - 강혁 안

2022-03-03

작업완료

- 롤플레잉 다른 사람 대사 안보이게 하기 적용

- 텍스트 박스(대사, 역할, 선택완료 등) 클릭시 활성화/비활성화 적용
작업중

- 맵 선택 방식 작업 중

- 음성파일 재생 작업중, 역할에 맞는 특정 캐릭 생성 작업 중

#19 - 03/04/2022 06:03 PM - 강혁 안

2022-03-04

- 맵 선택 방식 변경 완료

- 역할에 맞는 특정 캐릭 생성 완료(더미 사용 중, 캐릭터는 현재 있는 캐릭터를 사용 중)

- 음성파일 재생 작업 중(음성 재생은 가능, 현재 데이터 더미 사용 중)

#20 - 03/07/2022 06:00 PM - 강혁 안

2022-03-07

- 방 설정에서 시간 변경 시 롤플레잉, 테마연습 시간 선택에 적용 완료

- 롤플레잉 역할 선택 주인공 역할 선택 안되면 선택할 때까지 다음으로 못 넘어가게 수정 완료

- 역할 선택 중 경고창 나왔을 때 역할 선택 안되게 수정 완료

- 캐릭터가 갑자기 팅기면 타이틀 씬으로 이동하게 수정 완료

#21 - 03/08/2022 06:02 PM - 강혁 안

2022-03-08

- 롤플레잉 캐릭터 생성 및 음성 파일 재생 대신 시나리오에 대사를 할 인원수 가 채워지지 않으면 시작을 못하게 수정

- 1명이 나가면 다 나가지는 버그 수정

- 맵 선택 UI 수정

- 테마연습 버그 수정중

#22 - 03/10/2022 05:59 PM - 강혁 안

2022-03-10

- 테마연습 2명일때 첫번째 플레이어의 comment가 안나오는 버그 수정 및 할말 끝내기(넘기기) 버튼 활성화/비활성화 수정

- 롤플레잉 할말끝내기 버튼 활성화/비활성화 수정

- 롤플레잉 시나리오 방 인원수에 따라 시나리오 받아오기(웹 통신 작업 후 테스트 예정)

#23 - 03/11/2022 06:00 PM - 강혁 안

2022-03-11

- 게임 도중 나갔을 때 DB업데이트가 안되는 버그 수정

- 롤플레잉 시나리오를 방 인원수에 따라 시나리오를 다시 받아오기

(방수정하기 페이지에서 방 인원수 변경 시에도 적용)

- UI 배치 수정 작업 중

#24 - 03/14/2022 06:08 PM - 강혁 안

2022-03-14

- 전체대사보기, Tip보기 버튼 시작버튼 클릭시 활성화

- FlowLayoutGroup 테스트 중

- 다해 타이틀 씬 UI변경 작업 중
#25 - 03/17/2022 06:58 PM - 강혁 안

2022-03-17

- 메인씬 타이머 형식변경(분 : 초)

- 나가기 버튼 클릭 시 팝업 창

- 피드백 받으면서 UI 수정 중

#26 - 03/21/2022 06:02 PM - 강혁 안

2022-03-21

- XR방 채팅 기능 작업 중

- 프로필 이미지 불러오기 작업 중

- 말하는 사람 닉네임 or 얼굴 옆에 마이크 UI On/Off 작업 중

- 타인 평가 피드백 수정 완료

#27 - 03/22/2022 05:58 PM - 강혁 안

2022-03-22

- 유저일 때 설정 버튼 안 보이는 현상 해결

- XR방 채팅 기능 추가 완료(채팅만 가능)

- 프로필 이미지 적용 중

- 말하는 사람 닉네임 위쪽에 마이크 UI On/Off 작업 중

- 빌드할 때 사용 안 하는 Ui들 정리 중

#28 - 03/23/2022 06:01 PM - 강혁 안

2022-03-23

- 키워드 삭제 기능 추가 (db작업 테스트 할 예정)

- 프로필 이미지 적용 중

- 말하는 사람 닉네임 위쪽에 마이크 UI On/Off 작업 완료

#29 - 03/24/2022 06:01 PM - 강혁 안

2022-03-24

- 주제토크 방수정하기 페이지에 있는 키워드 추가, 삭제(db적용 할 예정) 기능 수정

- 유저 프로필 url 관련 수정

#30 - 04/05/2022 06:01 PM - 강혁 안

2022-04-05

- UI수정 작업 중

- 맵 배경 카테고리 설정 및 배경 이름 수정

#31 - 04/06/2022 06:13 PM - 강혁 안

2022-04-06

- 방수정하기 페이지에서 키워드 삭제기능 완료

- 방수정하기 페이지에서 키워드 중복 추가 수정 완료

#32 - 04/07/2022 06:09 PM - 강혁 안
2022-04-07

- 프로필 (카카오)크로스오리진(웹) 작업 중

- 상담사 관련 스크립트 수정 중

#33 - 01/16/2023 02:36 PM - 강혁 안

2023-01-16

채팅 비속어 (*)처리 기능 추가
